WATCH(1)

NAMN
watch — kör ett program periodiskt och visa utdata i helskärm

SYNOPSIS
watch [flaggor] kommando

BESKRIVNING
watch runs command repeatedly, displaying its output and errors (the first screenfull). This allows you to watch the program output change over time. By default, command is run every 2 seconds and watch will run until interrupted.

FLAGGOR

-d, --differences [permanent]
    Markera skillnaderna mellan påföljande uppdateringar. Flaggan kommer läsa ett valfritt argument som ändrar markeringen till att vara permanent, vilket gör att man kan se vad som har ändrats åtminstone en gång sedan den första iterationen.

-n, --interval sekunder
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales.

-p, --precise
    Gör att watch försöker köra kommando var intervall sekund. Prova det med ntptime och observera hur decimalerna av sekunderna är (nästan) desamma, till skillnad mot det normala läget då de ökar kontinuerligt.

-t, --no-title
    Slå av huvudet som visar intervallet, kommandot och aktuell tid längst upp på skrämen, liksom den följande tomma raden.

-b, --beep
    Pip om kommandot har en slutstatus skiljd från noll.

-e, --errexit
    Frys uppdateringar vid kommandofel, och avsluta efter en tangenttryckning.

-g, --chgexit
    Avsluta när utdata från kommando ändras.

-c, --color
    Tolka ANSI:s färg- och stilsekvenser.

-x, --exec
    Pass command to exec(2) instead of sh -c which reduces the need to use extra quoting to get the desired effect.

-h, --help
    Visa hjälptext och avsluta.

-v, --version
    Visa versionsinformation och avsluta.

SLUTSTATUS

    0   Gick bra.
    1   Diversa fel.
    2   Att grena av processen att övervaka misslyckades.
    3   Att ersätta en barnprocess standard ut med skrivsidan av ett rör misslyckades.
    4   Kommandokörningen misslyckades.
    5   Att stänga barnprocessens skrivrör misslyckades.
    7   Att skapa ett IPC-rör misslyckades.
    8   Att få reda på barnprocessens returvärde med waitpid(2) misslyckades, eller kommandot gav upp vid ett fel.
    övriga
        Watch kommer skicka vidare kommandots slutstatus som barnets slutstatus.

OBSERVERA
POSIX option processing is used (i.e., option processing stops at the first non-option argument). This means that flags after command don't get interpreted by watch itself.

FEL
När storleken på terminalen ändras kommer inte skärmen ritas om korrekt förrän nästa schemalagda uppdatering. All markering med --differences går också förlorade vid den uppdateringen. Icke skrivbara tecken tas bort från programs utdata. Använd ”cat -v” som en del av kommandoröret om du vill se dem. Kombinerande tecken som är tänkta att visas som tecknet i sista kolumnen på skärmen kan komma att visas en kolumn för tidigt, eller kan komma att inte visas alls. Kombinerande tecken räknas aldrig som olika i läget --differences. Endast grundtecknet räknas. Tomma rader direkt efter en rad som slutar i sista kolumnen visas inte. Läget --precise har inte ännu avancerad temporal distortionsteknik för att kompensera för ett kommando som tar mer än intervall sekunder att köra. watch kan också hamna i ett läge där det i snabb följd kör så många exekveringar det kan av kommando för att komma ifatt efter en tidigare körning som varit längre än intervallet (till exempel om netstat tar evigheter för att göra en DNS-uppslagning).

EXEMPEL
För att titta efter post skulle du kunna göra
    watch -n 60 from
För att se innehållet i en katalog ändras kan du använda
    watch -d ls -l
Om du bara är intresserad av filer som ägs av användaren kalle skulle du kunna använda
    watch -d 'ls -l | fgrep kalle'
För att se effekterna av att citera, prova dessa
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
För att se effekten av att hålla tiden med precision, prova att lägga till -p till
    watch -n 10 sleep 1
Du kan se om din administratör installerar den senaste kärnan med
    watch uname -r
(Observera att -p inte är garanterat att fungera över en omstart, särskilt med hänsyn till ntpdate eller andra mekanismer som ändrar tiden under uppstart)